AlphaPremulC
Alpha Composition

Premultiplies pixels of an image using a constant alpha value. More...

## Functions

NppStatus | nppiAlphaPremulC_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_C1IR (Npp8u nAlpha1, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 8-bit unsigned char channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Three 8-bit unsigned char channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_C3IR (Npp8u nAlpha1, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Three 8-bit unsigned char channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_C4IR (Npp8u nAlpha1, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel image premultiplication with alpha using constant alpha. More...
NppStatus | nppiAlphaPremulC_8u_AC4IR (Npp8u nAlpha1, Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 8-bit unsigned char channel in place image premultiplication with alpha using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C1IR (Npp16u nAlpha1, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| One 16-bit unsigned short channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Three 16-bit unsigned short channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C3IR (Npp16u nAlpha1, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Three 16-bit unsigned short channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_C4IR (Npp16u nAlpha1, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel in place image premultiplication using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel image premultiplication with alpha using constant alpha. More...
NppStatus | nppiAlphaPremulC_16u_AC4IR (Npp16u nAlpha1, Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI)
| Four 16-bit unsigned short channel in place image premultiplication with alpha using constant alpha. More...

## Detailed Description

Premultiplies pixels of an image using a constant alpha value.

## Function Documentation

NppStatus nppiAlphaPremulC_16u_AC4IR | ( | Npp16u | nAlpha1,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel in place image premultiplication with alpha using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel image premultiplication with alpha using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C1IR | ( | Npp16u | nAlpha1,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 16-bit unsigned short channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C3IR | ( | Npp16u | nAlpha1,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 16-bit unsigned short channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 16-bit unsigned short channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C4IR | ( | Npp16u | nAlpha1,
|  | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 16-bit unsigned short channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_AC4IR | ( | Npp8u | nAlpha1,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel in place image premultiplication with alpha using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel image premultiplication with alpha using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C1IR | ( | Npp8u | nAlpha1,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

One 8-bit unsigned char channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C3IR | ( | Npp8u | nAlpha1,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 8-bit unsigned char channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Three 8-bit unsigned char channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C4IR | ( | Npp8u | nAlpha1,
|  | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel in place image premultiplication using constant alpha.

Parameters

  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaPremulC_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

Four 8-bit unsigned char channel image premultiplication using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2017 NVIDIA Corporation